//priority: 2
//This script patches non-issue errors and broken recipes that are caused by mod developers forgetting to add HEAT DEFINITIONS.
ServerEvents.tags('item', event => {
   event.add('tfc:pileable_sheets', 'minecraft:barrier')
})

ServerEvents.tags('block', event => {
    event.add('minecraft:replaceable', 'farmersdelight:wild_cabbages')
    event.add('minecraft:replaceable', 'farmersdelight:wild_beetroots')
    event.add('minecraft:replaceable', 'farmersdelight:wild_carrots')
    event.add('minecraft:replaceable', 'farmersdelight:wild_onions')
    event.add('minecraft:replaceable', 'farmersdelight:wild_potatoes')
    event.add('minecraft:replaceable', 'farmersdelight:wild_rice')
    event.add('minecraft:replaceable', 'farmersdelight:wild_tomatoes')
    event.add('minecraft:replaceable', 'rnr:fluid/concrete')
    event.add('minecraft:replaceable', 'mca:infernal_flame')

    event.add('tfc:can_collapse', [
    'dfc:ore/asbestos/blueschist',
    'dfc:ore/asbestos/dolomite',
    'dfc:ore/asbestos/conglomerate',
    'dfc:ore/asbestos/shale',
    'dfc:ore/asbestos/rhyolite',
    'dfc:ore/asbestos/phyllite',
    'dfc:ore/asbestos/basalt',
    'dfc:ore/asbestos/andesite',
    'dfc:ore/asbestos/gabbro',
    'dfc:ore/asbestos/granite',
    'dfc:ore/asbestos/claystone',
    'dfc:rock/spike/tuff',
    'dfc:ore/asbestos/quartzite',
    'dfc:rock/spike/blueschist',
    'dfc:ore/asbestos/chert',
    'dfc:ore/asbestos/tuff',
    'dfc:ore/asbestos/limestone',
    'dfc:rock/spike/serpentine',
    'dfc:ore/asbestos/chalk',
    'dfc:ore/asbestos/travertine',
    'dfc:ore/asbestos/gneiss',
    'dfc:ore/asbestos/schist',
    'dfc:rock/spike/arkose',
    'dfc:ore/asbestos/slate',
    'dfc:rock/spike/travertine',
    'dfc:ore/asbestos/diorite',
    'dfc:ore/asbestos/dacite',
    'dfc:ore/asbestos/marble',
    'dfc:ore/asbestos/arkose',
    'dfc:ore/asbestos/serpentine' ])

    event.add('minecraft:replaceable', [
    'exposure:flash', 
    'dfc:metal/fluid/aluminum',
    'dfc:metal/fluid/alumina',
    'dfc:metal/fluid/lead',
    'dfc:metal/fluid/pewter',
    'dfc:metal/fluid/platinum',
    'dfc:fluid/plaster',
    'dfc:fluid/concrete', ])

 })

TFCEvents.data(event => {
    event.itemHeat('firmaciv:cannon', 3.057, null, null)
    event.itemHeat('tfcbetterbf:insulation', 3.057, null, null)
    event.itemHeat('antiquelegacy:scale_thorax', 3.057, null, null )

    function missingheats(input) {
        event.itemHeat(input, 0.8, null, null)
    }

    missingheats(/^dfc:metal\/.*\/pewter.*$/)
    missingheats('dfc:metal/rod/aluminum')
    missingheats('dfc:metal/rod/platinum')
    missingheats('dfc:metal/rod/lead')
    missingheats('dfc:metal/rod/alumina')
   
})

ServerEvents.recipes(event => {
    
})